Maven 项目关于 plexus-utils:jar的错误解决

Maven 项目关于 plexus-utils:jar的错误解决

太阳火神的美丽人生 (http://blog.csdn.net/opengl_es)

本文遵循“署名-非商业用途-保持一致”创作公用协议

转载请保留此句:太阳火神的美丽人生 -  本博客专注于 敏捷开发及移动和物联设备研究:iOS、Android、Html5、Arduino、pcDuino,否则,出自本博客的文章拒绝转载或再转载,谢谢合作。

Failure to transfer org.codehaus.plexus:plexus-utils:jar:3.0.8

按照网上查到的方法,移除 Maven 标识,转换成 Maven 项目,确实没有用,这个操作,估计就是强制去更新一下 Maven 库而已。

也有说直接去 Maven 中心库 http://mvnrepository.com/artifact/org.codehaus.plexus/plexus-utils/3.0.8  下载并保存到工程中的,

这样的话,我还不如不用 Maven,像之前的一篇所说,需要哪个 Jar,直接都从 Maven中心一个一个下载得了。

不过,在上面的地址中发现了如下内容:

		<dependency>
			<groupId>org.codehaus.plexus</groupId>
			<artifactId>plexus-utils</artifactId>
			<version>3.0.8</version>
		</dependency>

那么直接把这一段依赖加到 POM 中如何呢?!

加上去一试,确实不再提示这个相关的错误了。

这样看来, Maven 的依赖库有问题,还是什么呢?。。。

另外,Maven 在天朝上邦还是水土不服,不过使用 Maven 将依赖的 Jar 全保存下来之后,就做个备份,下次直接从这个备份工程开始你的项目吧。

也许过了一年半载,相看看有没有 JAR 包更新,那么折腾一番之后,再继续保存。

时间: 2015-09-17

Maven 项目关于 plexus-utils:jar的错误解决的相关文章

maven项目本地仓库有jar包,但是pom.xml却提示依赖关系报错!这是怎么处理

问题描述 maven项目本地仓库有jar包,但是pom.xml却提示依赖关系报错!这是怎么处理 解决方案 贴出具体描述来,这样看不出来

菜鸟调错(一)Maven项目部署到Jboss出现的错误

Maven项目部署到Jboss出现:Failed to create a new SAX parser 今天调试的时候遇到一个错误,往Jboss的deploy目录扔war包的时候,报了一个"Failed to create a new SAX parser"的错误.在网上找了找解决方案,一般都说将项目中的xerces-2.6.2.jar和xml-apis.jar包删掉即可,但是我试了试删了还是不行,因为在打包的时候Maven还是会将它们打进你的war包. 首先,我的项目中用到了dwr,

thinkphp 第一次创建项目无法加载模块的错误解决办法

第一次创建thinkphp后运行项目出现下面的错误: <h1>无法加载模块:Index</h1> <div class="content">     <div class="info">         <div class="title">             <h3>错误位置</h3>         </div>         <di

我的Maven项目为什么不会自己从网上下载jar包?

问题描述 我的Maven项目为什么不会自己从网上下载jar包? 是要配置什么吗亲们? 解决方案 Maven 项目下删除jar包后重新下载.maven项目中自动下载jar包的pom.xml配置maven项目中自动下载jar包的pom.xml配置 解决方案二: 执行compile编译命令了吗? 或者用package直接打包,看是否下载

Maven项目错误解决小结

Maven项目错误解决小结 注:整理错误,不喜欢为了一个小问题,占篇幅,所以请Ctrl+F自己查看,定位问题,愿为解决. 注:网络上的错误解决经验,只是作者在特定的条件下发生,或者适合你不适合你,请勿责怪,若无解决答案,请你请教他人或耐心解决,可以记录之后分享,我们爱分享,一起开始吧! 问题1: -Dmaven.multiModuleProjectDirectory system propery is not set. Check $M2_HOME environment variable an

项目添加Maven支持后运行JUnit单元测试出现错误

项目添加Maven支持后,运行JUnit单元测试,出现一下错误: ERROR in ch.qos.logback.core.joran.action.AppenderAction - Could not create an Appender of type [com.travelsky.tdp.pkgStock.integration.logback.appender.mail.SMTPAppender]. ch.qos.logback.core.util.DynamicClassLoading

spring-在用eclipse启动maven项目的时候报的错误 这是什么情况

问题描述 在用eclipse启动maven项目的时候报的错误 这是什么情况 在用eclipse启动maven项目的时候报的错误,如果我用eclipse插件启用项目就报下面的错误,但是我用server的方式启动就不会报这个错,这是怎么回事啊?求大神们指教 14:51:31.297 [main] DEBUG o.s.v.b.OptionalValidatorFactoryBean - Failed to set up a Bean Validation provider javax.validati

哪位热心的大神来给看看~maven项目打成的jar包无法运行

问题描述 哪位热心的大神来给看看~maven项目打成的jar包无法运行 第一次打jar包,第一次用maven遇到了问题,抓耳挠腮两天都没解决.前提:项目在myeclispe里边运行时正常的.maven项目.遇到问题:第一次打jar是直接export--jar file--然后被告知maven项目是不能这样打的.然后:使用 run as 里边的先maven clean--再 myeclipse里边的project clean--再run as里边的maven install,然后得到一个很小的ja

maven 项目,通过 maven编译,在浏览器中打开报如下错误

问题描述 maven 项目,通过 maven编译,在浏览器中打开报如下错误:严重: Servlet.service() for servlet jsp threw exceptionjava.lang.LinkageError: loader constraint violation: loader (instance of org/apache/jasper/servlet/JasperLoader) previously initiated loading for a different t